<?php
/*
 * This page REQUIRES modification when customizing the course template.
 *
 * Almost all the vital information is stored in one instance of an object
 * defined below. The best way to customize a site is change the defaults
 * as appropriate in the object class definition.
 *
 * This page also setups session variables, in general this aspect of the file
 * does not require customization.
 *
 * Added path to users file where registered users who may log onto the side resides
 *
 * Ross Beveridge January 9, 2016
 *
 */
class course_vitals {
	public $designation = 'CT 310'; /* Probably something like CS 410 */
	public $title = 'CT 310 PHP Examples'; /* Perhaps CS 410 Introduction to Computer Graphics */
	public $term = 'Spring 2016';
	public $global_base = '';
	public $class_base = '';
	public $class_user = '';
	public $course_mail = ''; /* Perhaps cs410@cs.colostate.edu */
	public $Canvas_link = '';
	public $instructor_name = 'Ross Beveridge';
	public $instructor_home = 'http://www.cs.colostate.edu/~ross';
	public $instructor_mail = 'ross.beveridge@colostate.edu';
	public $instructor_office = '348 CS Building';
	public $instructor_hours = 'Tue 2-3PM, Fri 10-11AM';
	public $gta_name = 'Darshan Gulur Srinivasa'; /* Empty string will drop all listing of GTA info */
	public $gta_home = 'http://www.cs.colostate.edu/~dasriniv';
	public $gta_mail = 'dasriniv@mail.colostate.edu';
	public $gta_office = 'CSB 120 Lab';
	public $gta_hours = 'Tue 8-10AM, Wed 10-11AM, Thu 3-4PM';
	public $lecture_time = '9:00-9:50';
	public $lecture_days = 'MWF';
	public $lecture_place = 'CSB Room 130';
	public $recit1_time = '3:00-3:50';
	public $recit1_days = 'Mon';
	public $recit1_place = 'CSB 225';
	public $recit2_time = '11:00-11:50';
	public $recit2_days = 'Thur';
	public $recit2_place = 'CSB 225';
	public $recit3_time = '12:00-12:50';
	public $recit3_days = 'Fri';
	public $recit3_place = 'CSB 225';
	
	/*
	 * The following variables are used to create the inital progress spreadsheet.
	 * They capture, in order, the file used to store the spread sheet, the first sunday
	 * of the term, the number of weeks in the term (includes breaks), whether it is
	 * a MWF or TTH schedule and whether to include an entry for the final exam.
	 * Don't forget to set the first sunday in the constructor, it cannot be specified
	 * as a default like the other values.
	 */
	public $progress_file = 'ct310_progress_spring16.csv';
	public $first_sunday = ''; /* Set this in the constructor a few lines below! */
	public $n_weeks = 16; /* Typically 16 because of either Thanksgiving or Spring break */
	public $days_MWF = true; /* If false, then assume a Tuesday Thursday schedule */
	public $final_exam = ''; /* An extra entry is added if a date is provided. */
	function __construct() {
		// $this->first_sunday = new DateTime('2012-08-19', new DateTimeZone('America/Denver'));
		$this->first_sunday = new DateTime ( '2016-01-17', new DateTimeZone ( 'America/Denver' ) );
	}
}

/*
 * The next configuration settings manage internal aspects of CS Roo. For example,
 * there is a facility by which users are granted special priveledges for a site if
 * they login. On the public server authorizationh is handled through external hooks.
 * On a development server, i.e. testing on a laptop, authentication is handled locally.
 * The first value specified the public host and is used to alter authentication behavior.
 */
class course_internals {
	public $logo_image = 'ct310logo2016.png'; /* Assumed to be in res_images folder */
	public $progress_style = 'listing'; /* Currently the only option. 'table' should come in a later version */
	public $public_server = 'www.cs.colostate.edu'; /* Force https and also use CSU CS SSL for authentication here */
	public $users_file = ''; /* Users on public server - often ../Checkin/users */
	public $users_file_local = ''; /* List of site users when not on the public server */
	public $auth_server = 'faure.cs.colostate.edu'; /* Server that handles SSL authentication for the public server */
	public $session_name = 'CT310Spring2016lec10'; /* Change this to avoid matching other courses */
	public $admin_key = 'cows'; /* Used by the utility to create new progress csv files */
}

/* Becuase this file is ALWAYS included in pages the two objects below act as globals */

$vitals = new course_vitals ();
$internals = new course_internals ();
?>
