<?php

/* Entering this page $pgTitle and $ppgLevel must already be set.
 *
* The $pgTitle establishes the page title as it appears in the browser heading
* and also in the page banner. The page level is used to modify navigation URLs
* so that they operate correctly at different directoy depths within the site.
*
* There are by default seven items in the navgation bar. However, this may be
* changed relatively easily.
* 
* A detail, all be it important, this page opens the HTML body for the page. It
* is assumed the body is then closed by the companion include file common_terminate.php.
* 
* Note this code is somewhat more complicated than it might otherwise be in
* order to provide a mobile responsive view probided through the Bootsrap 
* libraries.   So, when editing this page, pay close attention to the way current 
* links are constructed.  
*
* Ross Beveridge                                     January 16, 2016
*/

/* Build the links to common navigation destinations. */
$urlLogo        = "$relPath"."res_images/".$internals->logo_image;
$urlCSULogo     = "$relPath"."res_images/co_state_univ_fr_grn_glow.png";
$urlHome        = "$relPath"."index.php";
$urlEx01        = "$relPath"."exs/ct310lec11ex01.php";
$urlEx02        = "$relPath"."exs/ct310lec11ex02.php";
$urlEx03        = "$relPath"."exs/ct310lec11ex03.php";
$urlEx04        = "$relPath"."exs/ct310lec11ex04.php";
$urlEx05        = "$relPath"."exs/ct310lec11ex05.php";
$urlEx06        = "$relPath"."exs/ct310lec11ex06.php";
$urlEx07        = "$relPath"."exs/ct310lec11ex07.php";

/* Gets the current page name. Used to active the nav */
$curPageName =  "$relPath".substr($_SERVER["SCRIPT_NAME"],strrpos($_SERVER["SCRIPT_NAME"],"/")+1);
$currentDir = 	dirname($_SERVER["SCRIPT_NAME"]);

/* Variables used for subpages. Default will use std directories */
$isProgress = (strpos($currentDir,'more_progress') !== false ? true : false);
$isAssignments = (strpos($currentDir,'more_assignments') !== false ? true : false);

$isResources = (strpos($currentDir,'more_resources') !== false ? true : false);
?>

<body>
    <!-- The following two scripts are required as part of supporet for bootstrap: JRB 1/8/2016 -->
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="<?php echo $relPath ?>assets/bootstrap/js/bootstrap.min.js"></script>
    
    <div id="page">

        <div id="banner">
        	<div class="row">
                <!-- Left side course logo acts as another link to course homepage -->
                <div class="col-sm-4 hidden-xs" id="course_logo">
                    <a href="<?php echo $urlHome?>" title="Course Homepage"> <img
                        src="<?php echo $urlLogo ?>" alt="<?php echo $vitals->title ?>"
                        width="200" height="130" style="border: 0px;" />
                    </a>
                </div>
                
                <!-- Center of banner provides course title, course subtitle, department name and line, and finally term -->
                <div class="col-sm-4 col-xs-12" id="banner_title">
                    <span class="course_title">      <?php echo $vitals->title ?> </span><br />
                    <span class="csdept">   <a href="http://www.cs.colostate.edu">Computer Science Department</a></span><br/>
                    <span class="course_subtitle">   <?php echo $vitals->term ?> </span><br />
                    <span class="course_subtitle">   <?php echo $pgTitle ?> </span><br />
                </div>
                <!-- Right side CSU logo is a link to CSU main homepage -->
               	<div class="col-sm-4 hidden-xs" >
                    <div  id="csu_logo">
                        <a href="http://welcome.colostate.edu/" title="CSU Welcome Page"> <img
                            src="<?php echo $urlCSULogo ?>" alt="CSU Logo" width="205"
                            height="91" style="border: 0px;" />
                        </a>
                    </div>
                </div>
            </div>
            <!-- Collapsible Nav Bar -->
             <nav class="navbar" id="navagation">
             	<div class="pull-center">
                    <!-- Toggles menu for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#global-navbar">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>
                    
                    <div class="collapse navbar-collapse" id="global-navbar">
                        <ul class="nav navbar-nav">
                            <li <?php echo ($urlHome == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlHome?>" >Home</a></li>
                            <li <?php echo ($urlEx01 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx01?>" >Ex: 1</a></li>
                            <li <?php echo ($urlEx02 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx02?>" >Ex: 2</a></li>
                            <li <?php echo ($urlEx03 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx03?>" >Ex: 3</a></li>
                            <li <?php echo ($urlEx04 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx04?>" >Ex: 4</a></li>
                            <li <?php echo ($urlEx05 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx05?>" >Ex: 5</a></li>
                            <li <?php echo ($urlEx06 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx06?>" >Ex: 6</a></li>
                            <li <?php echo ($urlEx07 == $curPageName)?'class="active"':'';?>><a  class="navi" href="<?php echo $urlEx07?>" >Ex: 7</a></li>
                        </ul>
                     </div>
                </div> 
        	</nav>
        </div>  <!-- End of the Banner at the top of the page -->

